Bug 30582 - [GTK] Failing http/tests/xmlhttprequest tests
Summary: [GTK] Failing http/tests/xmlhttprequest tests
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-20 10:36 PDT by Xan Lopez
Modified: 2010-12-17 06:59 PST (History)
3 users (show)

See Also:


Attachments
libsoup patch for re-login*.html failing tests (853 bytes, patch)
2010-10-05 10:07 PDT, Sergio Villar Senin
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Xan Lopez 2009-10-20 10:36:40 PDT
http/tests/xmlhttprequest/logout.html
http/tests/xmlhttprequest/re-login-async.html
http/tests/xmlhttprequest/re-login.html
Comment 1 Martin Robinson 2010-09-30 16:11:57 PDT
I can confirm that these are still failing. This is probably an issue with the Soup backend.
Comment 2 Sergio Villar Senin 2010-10-05 10:07:40 PDT
Created attachment 69802 [details]
libsoup patch for re-login*.html failing tests

Seems that the logout.html is failing for a different reason.

This is a premilinary fix for libsoup that will make re-login*html tests work. Need to handle this in libsoup and provide a patch. Uploading it here FTR
Comment 3 Sergio Villar Senin 2010-10-05 10:08:32 PDT
(In reply to comment #2)
> Created an attachment (id=69802) [details]
> libsoup patch for re-login*.html failing tests
> 
> Seems that the logout.html is failing for a different reason.
> 
> This is a premilinary fix for libsoup that will make re-login*html tests work. Need to handle this in libsoup and provide a patch. Uploading it here FTR

I mean provide a test
Comment 4 Sergio Villar Senin 2010-10-08 07:26:06 PDT
libsoup bug is now managed in b.g.o. See https://bugzilla.gnome.org/process_bug.cgi

On the other hand the re-login*html tests need also the patch for https://bugs.webkit.org/show_bug.cgi?id=38956
Comment 5 Sergio Villar Senin 2010-12-17 06:56:06 PST
Committed r74263: <http://trac.webkit.org/changeset/74263>
Comment 6 Sergio Villar Senin 2010-12-17 06:59:03 PST
The actual bug in b.g.o is https://bugzilla.gnome.org/show_bug.cgi?id=631679

As it was fixed in libsoup, I decided to unskip the two relogin tests (logout.html test fails for some other reason)